/*
 * @license
 * chartjs-plugin-streaming
 * https://github.com/nagix/chartjs-plugin-streaming/
 * Version: 1.7.1
 *
 * Copyright 2018 Akihiko Kusanagi
 * Released under the MIT license
 * https://github.com/nagix/chartjs-plugin-streaming/blob/master/LICENSE.md
 */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?module.exports=t(require("chart.js"),require("moment")):"function"==typeof define&&define.amd?define(["chart.js","moment"],t):e["chartjs-plugin-streaming"]=t(e.Chart,e.moment)}(this,function(r,h){"use strict";r=r&&r.hasOwnProperty("default")?r.default:r,h=h&&h.hasOwnProperty("default")?h.default:h;var w=r.helpers;w.cancelAnimFrame=function(){if("undefined"!=typeof window)return window.cancelAnimationFrame||window.webkitCancelAnimationFrame||window.mozCancelAnimationFrame||window.oCancelAnimationFrame||window.msCancelAnimationFrame||function(e){return window.clearTimeout(e)}}(),w.startFrameRefreshTimer=function(e,t){if(!e.frameRequestID){var a=function(){t(),e.frameRequestID=w.requestAnimFrame.call(window,a)};e.frameRequestID=w.requestAnimFrame.call(window,a)}},w.stopFrameRefreshTimer=function(e){var t=e.frameRequestID;t&&(w.cancelAnimFrame.call(window,t),delete e.frameRequestID)};var e=r.scaleService,u=e.getScaleConstructor("time");e.getScaleConstructor=function(e){return"time"===e&&(e="realtime"),this.constructors.hasOwnProperty(e)?this.constructors[e]:void 0};var v=Number.MAX_SAFE_INTEGER||9007199254740991,g={millisecond:{common:!0,size:1,steps:[1,2,5,10,20,50,100,250,500]},second:{common:!0,size:1e3,steps:[1,2,5,10,15,30]},minute:{common:!0,size:6e4,steps:[1,2,5,10,15,30]},hour:{common:!0,size:36e5,steps:[1,2,3,6,12]},day:{common:!0,size:864e5,steps:[1,2,5]},week:{common:!1,size:6048e5,steps:[1,2,3,4]},month:{common:!0,size:2628e6,steps:[1,2,3]},quarter:{common:!1,size:7884e6,steps:[1,2,3,4]},year:{common:!0,size:3154e7}},y=Object.keys(g);function m(e,t){var a=t.parser,n=t.parser||t.format;return"function"==typeof a?a(e):"string"==typeof e&&"string"==typeof n?h(e,n):(e instanceof h||(e=h(e)),e.isValid()?e:"function"==typeof n?n(e):e)}function o(e,t){if(w.isNullOrUndef(e))return null;var a=t.options.time,n=m(t.getRightValue(e),a);return n.isValid()?(a.round&&n.startOf(a.round),n.valueOf()):null}function x(e){for(var t=y.indexOf(e)+1,a=y.length;t<a;++t)if(g[y[t]].common)return y[t]}function c(e,t,a,n,i){var r,o=n.time,s=o.unit||function(e,t,a,n){var i,r,o,s=y.length;for(i=y.indexOf(e);i<s-1;++i)if(o=(r=g[y[i]]).steps?r.steps[r.steps.length-1]:v,r.common&&Math.ceil((a-t)/(o*r.size))<=n)return y[i];return y[s-1]}(o.minUnit,e,t,a),l=x(s),u=w.valueOrDefault(o.stepSize,o.unitStepSize),m="week"===s&&o.isoWeekday,c=g[s],d=h(e),p=h(t+i),f=[];for(u||(u=function(e,t,a,n){var i,r,o,s=t-e,l=g[a],u=l.size,m=l.steps;if(!m)return Math.ceil(s/(n*u));for(i=0,r=m.length;i<r&&(o=m[i],!(Math.ceil(s/(u*o))<=n));++i);return o}(e,t,s,a)),m&&(d=d.isoWeekday(m),p=p.isoWeekday(m)),d=d.startOf(m?"day":s),(p=p.startOf(m?"day":s))<t+i&&p.add(1,s),r=h(d),!l||m||o.round||(r.startOf(l),r.add(~~((d-r)/(c.size*u))*u,s));r<p;r.add(u,s))f.push(+r);return f.push(+r),f}function b(e,t){var a=e.options.realtime,n=e.chart.options.plugins.streaming;return w.valueOrDefault(a[t],n[t])}var D=["pointBackgroundColor","pointBorderColor","pointBorderWidth","pointRadius","pointStyle","pointHitRadius","pointHoverBackgroundColor","pointHoverBorderColor","pointHoverBorderWidth","pointHoverRadius","backgroundColor","borderColor","borderWidth","hoverBackgroundColor","hoverBorderColor","hoverBorderWidth","hoverRadius","hitRadius","radius"];function M(e){var t=e.realtime,a=t.refreshTimerID;a&&(clearInterval(a),delete t.refreshTimerID,delete t.refreshInterval)}function O(y){var x=y.realtime,e=b(y,"refresh");x.refreshTimerID=setInterval(function(){var a,n,i,r,o,s,l,u,m,c,e,t,d,p,f,h,v,g=b(y,"refresh");m=(a=y).chart,c=a.id,e=b(a,"duration"),t=b(a,"delay"),d=b(a,"ttl"),p=b(a,"pause"),f=b(a,"onRefresh"),h=a.max,v=Date.now()-(isNaN(d)?e+t:d),f&&f(m),m.data.datasets.forEach(function(t,e){if(n=m.getDatasetMeta(e),c===n.xAxisID||c===n.yAxisID){if(i=t.data,r=i.length,p){for(o=0;o<r&&a._getTimeForIndex(o,e)<h;++o);s=o+2}else s=0;for(o=s;o<r&&a._getTimeForIndex(o,e)<=v;++o);l=o-s,isNaN(d)&&(l=Math.max(l-2,0)),i.splice(s,l),D.forEach(function(e){t.hasOwnProperty(e)&&w.isArray(t[e])&&t[e].splice(s,l)}),"object"!=typeof i[0]&&(u={start:s,count:l})}}),u&&m.data.labels.splice(u.start,u.count),m.update({preservation:!0}),x.refreshInterval===g||isNaN(g)||(M(y),O(y))},e),x.refreshInterval=e}var A={data:["x","controlPointPreviousX","controlPointNextX"],dataset:["x"],tooltip:["x","caretX"]},F={data:["y","controlPointPreviousY","controlPointNextY"],dataset:["y"],tooltip:["y","caretY"]};function I(e,t,a){var n,i,r=e._start||{},o=e._view||{},s=e._model||{};for(n=0,i=t.length;n<i;++n){var l=t[n];r.hasOwnProperty(l)&&(r[l]-=a),o.hasOwnProperty(l)&&o!==r&&(o[l]-=a),s.hasOwnProperty(l)&&s!==o&&(s[l]-=a)}}var s=u.extend({initialize:function(){var e=this;u.prototype.initialize.apply(e,arguments),("time"!==e.options.type||e.chart.options.plugins.streaming)&&(e.realtime=e.realtime||{},O(e))},update:function(){var v=this,e=v.realtime;return("time"!==v.options.type||v.chart.options.plugins.streaming)&&(b(v,"pause")?w.stopFrameRefreshTimer(e):(w.startFrameRefreshTimer(e,function(){var e,t,a,n,i,r,o,s,l,u,m,c,d,p,f,h;l=(e=v).chart,u=e.realtime,m=b(e,"duration"),c=b(e,"delay"),d=e.id,p=l.tooltip,f=p._active,h=Date.now(),a=e.isHorizontal()?(t=e.width,A):(t=e.height,F),n=t*(h-u.head)/m,w.each(l.data.datasets,function(e,t){if(i=l.getDatasetMeta(t),d===i.xAxisID||d===i.yAxisID){for(r=i.data||[],o=0,s=r.length;o<s;++o)I(r[o],a.data,n);i.dataset&&I(i.dataset,a.dataset,n)}}),f&&f[0]&&(i=l.getDatasetMeta(f[0]._datasetIndex),d!==i.xAxisID&&d!==i.yAxisID||I(p,a.tooltip,n)),e.max=e._table[1].time=h-c,e.min=e._table[0].time=e.max-m,u.head=h}),e.head=Date.now())),u.prototype.update.apply(v,arguments)},buildTicks:function(){var e=this,t=e.options;if("time"===t.type&&!e.chart.options.plugins.streaming)return u.prototype.buildTicks.apply(e,arguments);var a=t.time,n=b(e,"duration"),i=b(e,"delay"),r=b(e,"refresh"),o=e.realtime.head-i,s=o-n,l=[];switch(t.ticks.source){case"data":l=e._timestamps.data;break;case"labels":l=e._timestamps.labels;break;case"auto":default:l=c(s,o,e.getLabelCapacity(s),t,r)}return e.min=s,e.max=o,e._unit=a.unit||function(e,t,a,n){var i,r,o=h.duration(h(n).diff(h(a)));for(i=y.length-1;i>=y.indexOf(t);i--)if(r=y[i],g[r].common&&o.as(r)>=e.length)return r;return y[t?y.indexOf(t):0]}(l,a.minUnit,e.min,e.max),e._majorUnit=x(e._unit),e._table=[{time:s,pos:0},{time:o,pos:1}],e._offsets={left:0,right:0},e._labelFormat=function(e,t){var a,n,i,r=e.length;for(a=0;a<r;a++){if(0!==(n=m(e[a],t)).millisecond())return"MMM D, YYYY h:mm:ss.SSS a";0===n.second()&&0===n.minute()&&0===n.hour()||(i=!0)}return i?"MMM D, YYYY h:mm:ss a":"MMM D, YYYY"}(e._timestamps.data,a),function(e,t){var a,n,i,r,o=[];for(a=0,n=e.length;a<n;++a)i=e[a],r=!!t&&i===+h(i).startOf(t),o.push({value:i,major:r});return o}(l,e._majorUnit)},fit:function(){var e=this,t=e.options;u.prototype.fit.apply(e,arguments),("time"!==t.type||e.chart.options.plugins.streaming)&&t.ticks.display&&t.display&&e.isHorizontal()&&(e.paddingLeft=3,e.paddingRight=3,e.handleMargins())},draw:function(e){var t=this,a=t.chart;if("time"!==t.options.type||a.options.plugins.streaming){var n=t.ctx,i=t.isHorizontal()?{left:e.left,top:0,right:e.right,bottom:a.height}:{left:0,top:e.top,right:a.width,bottom:e.bottom};w.canvas.clipArea(n,i),u.prototype.draw.apply(t,arguments),w.canvas.unclipArea(n)}else u.prototype.draw.apply(t,arguments)},destroy:function(){("time"!==this.options.type||this.chart.options.plugins.streaming)&&(w.stopFrameRefreshTimer(this.realtime),M(this))},_getTimeForIndex:function(e,t){var a,n=this,i=n._timestamps,r=i.datasets[t][e];return w.isNullOrUndef(r)&&(a=n.chart.data.datasets[t].data[e],r=w.isObject(a)?o(n.getRightValue(a),n):o(i.labels[e],n)),r}});function l(e){var t,a=e.streaming.lastMouseEvent;a&&("function"==typeof MouseEvent?t=new MouseEvent("mousemove",a):(t=document.createEvent("MouseEvents")).initMouseEvent("mousemove",a.bubbles,a.cancelable,a.view,a.detail,a.screenX,a.screenY,a.clientX,a.clientY,a.ctrlKey,a.altKey,a.shiftKey,a.metaKey,a.button,a.relatedTarget),e.canvas.dispatchEvent(t))}e.registerScaleType("realtime",s,{position:"bottom",distribution:"linear",bounds:"data",time:{parser:!1,format:!1,unit:!1,round:!1,displayFormat:!1,isoWeekday:!1,minUnit:"millisecond",displayFormats:{millisecond:"h:mm:ss.SSS a",second:"h:mm:ss a",minute:"h:mm a",hour:"hA",day:"MMM D",week:"ll",month:"MMM YYYY",quarter:"[Q]Q - YYYY",year:"YYYY"}},realtime:{},ticks:{autoSkip:!1,source:"auto",major:{enabled:!0}}}),r.defaults.global.plugins.streaming={duration:1e4,delay:0,frameRate:30,refresh:1e3,onRefresh:null,pause:!1,ttl:void 0};var d=r.prototype.update;r.prototype.update=function(e){var a,t,n,i;e&&e.preservation?(t=(a=this).options.animation,n=a.data.datasets,i=a.buildOrUpdateControllers(),n.forEach(function(e,t){a.getDatasetMeta(t).controller.buildOrUpdateElements()}),a.updateLayout(),t&&t.duration&&w.each(i,function(e){e.reset()}),a.updateDatasets(),a.animating?r.animationService.animations.forEach(function(e){e.chart===a&&a.render({duration:16.66*(e.numSteps-e.currentStep)})}):n.forEach(function(e,t){a.getDatasetMeta(t).controller.transition(1)}),a.tooltip._active&&a.tooltip.update(!0),l(a)):d.apply(this,arguments)};var t={id:"streaming",beforeInit:function(e){var t=e.streaming=e.streaming||{},a=t.canvas=e.canvas,n=t.mouseEventListener=function(e){t.lastMouseEvent=e};a.addEventListener("mousedown",n),a.addEventListener("mouseup",n)},afterInit:function(e){e.resetZoom&&r.Zoom.updateResetZoom(e)},beforeUpdate:function(e){var t=e.options,a=t.scales;return a&&a.xAxes.concat(a.yAxes).forEach(function(e){"realtime"!==e.type&&"time"!==e.type||(t.elements.line.capBezierPoints=!1)}),!0},afterUpdate:function(o,t){var e=o.streaming,a=!0;w.each(o.scales,function(e){e instanceof s&&(a&=w.valueOrDefault(e.options.realtime.pause,t.pause))}),a?w.stopFrameRefreshTimer(e):w.startFrameRefreshTimer(e,function(){var e,t,a,n,i,r;t=(e=o).streaming,a=e.options.plugins.streaming.frameRate,n=1e3/(Math.max(a,0)||30),i=t.lastDrawn+n||0,r=Date.now(),i<=r&&(e.animating||e.tooltip._start||e.draw(),l(e),t.lastDrawn=r<i+n?i:r)})},beforeDatasetDraw:function(e,t){var a=t.meta,n=e.chartArea,i={left:0,top:0,right:e.width,bottom:e.height};return a.xAxisID&&a.controller.getScaleForId(a.xAxisID)instanceof s&&(i.left=n.left,i.right=n.right),a.yAxisID&&a.controller.getScaleForId(a.yAxisID)instanceof s&&(i.top=n.top,i.bottom=n.bottom),w.canvas.clipArea(e.ctx,i),!0},afterDatasetDraw:function(e){w.canvas.unclipArea(e.ctx)},beforeEvent:function(e,t){var a=e.streaming;return"mousemove"===t.type?a.lastMouseEvent=t.native:"mouseout"===t.type&&delete a.lastMouseEvent,!0},destroy:function(e){var t=e.streaming,a=t.canvas,n=t.mouseEventListener;w.stopFrameRefreshTimer(t),a.removeEventListener("mousedown",n),a.removeEventListener("mouseup",n),w.each(e.scales,function(e){e instanceof s&&e.destroy()})}},a=r.Zoom=r.Zoom||{};function p(e,t){if(e.scaleAxes&&e.rangeMax&&!w.isNullOrUndef(e.rangeMax[e.scaleAxes])){var a=e.rangeMax[e.scaleAxes];a<t&&(t=a)}return t}function f(e,t){if(e.scaleAxes&&e.rangeMin&&!w.isNullOrUndef(e.rangeMin[e.scaleAxes])){var a=e.rangeMin[e.scaleAxes];t<a&&(t=a)}return t}return a.zoomFunctions=a.zoomFunctions||{},a.panFunctions=a.panFunctions||{},a.zoomFunctions.realtime=function(e,t,a,n){var i,r,o=e.options.realtime,s=e.chart.options.plugins.streaming,l=w.valueOrDefault(o.duration,s.duration),u=w.valueOrDefault(o.delay,s.delay),m=l*(2-t);i=e.isHorizontal()?(e.right-a.x)/(e.right-e.left):(e.bottom-a.y)/(e.bottom-e.top),r=t<1?p(n,m):f(n,m),o.duration=r,o.delay=u+i*(l-r)},a.panFunctions.realtime=function(e,t,a){var n=e.options.realtime,i=e.chart.options.plugins.streaming,r=w.valueOrDefault(n.delay,i.delay)+(e.getValueForPixel(t)-e.getValueForPixel(0));n.delay=0<t?p(a,r):f(a,r)},a.updateResetZoom=function(e){e.resetZoom=function(){w.each(e.scales,function(e){var t=e.options.time,a=e.options.realtime,n=e.options.ticks;t&&(t.min=e.originalOptions.time.min,t.max=e.originalOptions.time.max),a&&(a.duration=e.originalOptions.realtime.duration,a.delay=e.originalOptions.realtime.delay),n&&(n.min=e.originalOptions.ticks.min,n.max=e.originalOptions.ticks.max)}),e.update({duration:0})}},r.plugins.register(t),t});